// Unicode→Shift-JIS文字コード変換

#ifndef	__AIG_UNISJIS__
#define	__AIG_UNISJIS__	1	/* ヘッダー読み込みシンボル */

typedef unsigned short UniCode;
typedef unsigned short SJisCode;

struct U2S {
	UniCode uni;
	SJisCode sjis;
};

extern struct U2S U2STable[];

#ifdef	__cplusplus
extern	"C" {
#endif
	SJisCode Uni2SJis( UniCode );
	void	Uni2SJisS( unsigned char *,UniCode *);
	//
	int	OpenUni2SJisF( unsigned char * );
	void	CloseUni2SJisF(void);
	SJisCode Uni2SJisF( UniCode  );
	void	Uni2SJisSF( unsigned char *,UniCode *);
#ifdef	__cplusplus
}
#endif

#endif
